Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.attribute
Class KeyPairParamReqInfo

`java.lang.Object
oracle.security.crypto.cert.AttributeTypeAndValue
oracle.security.crypto.cmp.attribute.InfoTypeAndValue
oracle.security.crypto.cmp.attribute.KeyPairParamReqInfo`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class KeyPairParamReqInfo
extends InfoTypeAndValue

Information type for requesting the parameters for generating the key pair of certain public-key algorithms.

Field Summary

Fields inherited from class oracle.security.crypto.cmp.attribute.InfoTypeAndValue
`decoded, encoded`

Constructor Summary
`KeyPairParamReqInfo()`
`KeyPairParamReqInfo(oracle.security.crypto.asn1.ASN1ObjectID oid)`
`KeyPairParamReqInfo(java.io.InputStream is)`

Method Summary
`oracle.security.crypto.asn1.ASN1ObjectID` | `getOID()`
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.attribute.InfoTypeAndValue
`decodeValue, encodeValue, getType, getValue, input, inputInstance, length, output, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyPairParamReqInfo

    public KeyPairParamReqInfo()

### KeyPairParamReqInfo

    public KeyPairParamReqInfo(oracle.security.crypto.asn1.ASN1ObjectID oid)

### KeyPairParamReqInfo

    public KeyPairParamReqInfo(java.io.InputStream is)
                        throws java.io.IOException

Method Detail

### getOID

    public oracle.security.crypto.asn1.ASN1ObjectID getOID()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `InfoTypeAndValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.